Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.content.dynamic
Class KeyIdentifierImpl

    java.lang.Object
      com.servingxml.components.content.dynamic.KeyIdentifierImpl

All Implemented Interfaces:
  Identifier, KeyIdentifier

    public class KeyIdentifierImpl

extends java.lang.Object
implements KeyIdentifier

This class provides an implementation of a `KeyIdentifier`.

Constructor Summary
`KeyIdentifierImpl()`
`KeyIdentifierImpl(Record parameters)`

Method Summary
`boolean` | `equalTo(java.lang.Object key1, java.lang.Object key2)` Compares the two key arguments for equality.
`java.lang.String[]` | `getSegmentNames()`
`void` | `initialize(org.w3c.dom.Element keyNode)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### KeyIdentifierImpl

    public KeyIdentifierImpl()

### KeyIdentifierImpl

    public KeyIdentifierImpl(Record parameters)

Method Detail

### getSegmentNames

    public java.lang.String[] getSegmentNames()

  Specified by:
    `getSegmentNames` in interface `KeyIdentifier`

### initialize

    public void initialize(org.w3c.dom.Element keyNode)

### equalTo

    public boolean equalTo(java.lang.Object key1,
                           java.lang.Object key2)

  Compares the two key arguments for equality. Returns true or false depending on whether the two key arguments are equal.

  Specified by:
    `equalTo` in interface `Identifier`
  Specified by:
    `equalTo` in interface `KeyIdentifier`
  Parameters:
    `key1` - the first key object to be compared.
    `key2` - the second key object to be compared.
  Returns:
    `true` or depending on whether the two key arguments are equal.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD